View Issue Details

IDProjectCategoryView StatusLast Update
0001801Far ManagerFilterspublic2012-01-15 15:32
ReportersamlyukovAssigned ToDrKnS 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version3.0 
Summary0001801: в фильтре обрабатывать полное содержание PluginPanelItem.FileName
Descriptionсейчас на обработку в фильтр отдается только имя файла, из-за этого некорректно фильтруются по маске элементы а-ля TmpPanel.

исправление ситуации:
Index: CFileMask.cpp
===================================================================
--- CFileMask.cpp (revision 6334)
+++ CFileMask.cpp (working copy)
@@ -109,5 +109,5 @@
 */
 bool CFileMask::Compare(const wchar_t *FileName)
 {
- return FileMask?FileMask->Compare(PointToName((wchar_t*)FileName)):false;
+ return FileMask?FileMask->Compare(/* PointToName */((wchar_t*)FileName)):false;
 }
TagsNo tags attached.
Build2076

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2011-06-20 08:30 samlyukov New Issue
2011-06-23 17:50 DrKnS Build => 2076
2011-06-23 17:50 DrKnS Status new => closed
2011-06-23 17:50 DrKnS Assigned To => DrKnS
2011-06-23 17:50 DrKnS Resolution open => fixed
2011-06-23 17:50 DrKnS Fixed in Version => 3.0